Package org.zkoss.zhtml.impl

## Class TagRenderContext

- java.lang.Object
- - org.zkoss.zhtml.impl.TagRenderContext

-     public class TagRenderContext
      extends java.lang.Object

  The render context used to render the additional part (JavaScript code snippet).
  Since:
    5.0.0
  Author:
    tomyeh

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TagRenderContext()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `complete()` | Completes the rendering by returning what are generated by `renderBegin(org.zkoss.zk.ui.Component, java.util.Map, java.lang.String, boolean)` and `renderEnd(org.zkoss.zk.ui.Component)` (never return null).
    `void` | `renderBegin​(Component comp, java.util.Map clientEvents, java.lang.String specialRendererOutput, boolean lookup)` | Renders the beginning JavaScript code snippet for the component.
    `void` | `renderEnd​(Component comp)` | Renders the ending JavaScript code snippet for the component.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TagRenderContext

          public TagRenderContext()

  - ### Method Detail

    - #### complete

          public java.lang.String complete()

      Completes the rendering by returning what are generated by `renderBegin(org.zkoss.zk.ui.Component, java.util.Map, java.lang.String, boolean)` and `renderEnd(org.zkoss.zk.ui.Component)` (never return null). After rendering, the context is reset.

    - #### renderBegin

          public void renderBegin​(Component comp,
                                  java.util.Map clientEvents,
                                  java.lang.String specialRendererOutput,
                                  boolean lookup)

      Renders the beginning JavaScript code snippet for the component. It must be called before rendering the children.
      Parameters:
        `clientEvents` - a collection of client events. It is ignored if lookup is true.
        `lookup` - whether to look up instead of creating a widget. Specifies true if the widget is created somewhere else.

    - #### renderEnd

          public void renderEnd​(Component comp)

      Renders the ending JavaScript code snippet for the component. It must be called after rendering the children.